#!/usr/local/bin/perl
# Checker config package.
#
# This config package has been made by completely chopping a nice, working
# config package to bits, and hence if you modify it to your needs it should
# work.  If it works as is, you're using some very strange IP addresses :-)
#
package checkerconfig;

%ip = ( "unixbox" => "1.2.3.4",
        "otherunixbox" => "2.3.4.5",
	"evilbox" => "3.4.5.6",
	"minimalbox" => "4.5.6.7"
	);

# Only worth checking one inetd service, and telnet is done automatically
%services = ( "unixbox" => [ "smtp", "22", "www", "8888", "domain", "whois" ],
	      "otherunixbox" => [ "smtp", "22", "113", "gopher", "1080" ],
	      "evilbox" => [ "smtp", "22", "www", "6667", "4333", "nntp" ],
	      "minimalbox" => [ "22" ] # sendmail disabled, runs -q from cron
	      );

%servicemap = ( "smtp" => "25", "www" => "80", "telnet" => "23",
		"whois" => "43", "domain" => "53", "gopher" => "70",
		"nntp" => "119" );

$maindelay = 5;

%delay = ( "unixbox" => 7, "evilbox:nntp" => 20 );

%ok = ( "minimalbox:telnet" => [ "Connection refused" ] );

sub contactinfo {
local($prompt) = @_;

  ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time());
  if($wday < 5) {
    if($hour >= 9 && $hour < 18) {
      $ret = $prompt." Daytime contacts for XYZ are Some Person (x1234) or\n";
      $ret .= $prompt." Someone Else (x2468).\n";
      $ret .= $prompt." Some Person can also be contacted on 041 2345 678.\n";
    } else {
      $ret = $prompt." After hours contact for XYZ is Some Person.\n";
      $ret .= $prompt." Phone 9876 5432 or 041 2345 678.\n";
    }
  } else {
    $ret = $prompt." Weekend contact for XYZ is Some Person.\n";
    $ret .= $prompt." Phone 9876 5432 or 041 2345 678.\n";
  }
  return $ret;
}
